Skip to main content
`Ctrl`+`K`

# DMShellSetCreateGlobalVector

sets the routine to create a global vector associated with the `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateGlobalVector(DM dm, PetscErrorCode (*func)(DM, Vec *))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- func - the creation routine

## See Also

`DM`, `DMSHELL`, `DMShellSetGlobalVector()`, `DMShellSetCreateMatrix()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c
src/ksp/ksp/tutorials/ex73.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages